@import '../../variables';

.main-view {
  &__container {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
  }

  &__header {
    background: map-get($theme-colors, 'light-grey');
  }
  &__footer {
    background: map-get($theme-colors, 'light-grey');

    a {
      color: map-get($theme-colors, 'secondary');
      text-transform: uppercase;
      font-size: 1rem;
    }
    a:hover {
      text-decoration: underline;
    }
  }

  &__header-bezpecnost {
    h2 {
      margin-bottom: 0;
      color: map-get($theme-colors, 'primary');
    }
  }

  &__link-portal a {
    color: map-get($theme-colors, 'secondary');
    text-transform: uppercase;
    font-size: 1rem;
    line-height: 46px;
  }

  &__header-logo {
    width: 46px;
  }

  &__header-golemio-logo {
    width: 140px;
  }

  &__section {
    flex: 1 1 auto;
  }

  &__language-switch {
    border-radius: 20px;
    text-transform: uppercase;
    font-weight: bold;
  }
}
